import click
from arrow.cli import pass_context, json_loads
from arrow.decorators import apollo_exception, dict_output

@click.command('updateOrganismInfo')
@click.argument("organism_id", type=str)
@click.argument("common_name", type=str)
@click.argument("directory", type=str)

@click.option(
    "--blatdb",
    help="Server-side Blat directory for the organism",
    type=str
)
@click.option(
    "--species",
    help="Species",
    type=str
)
@click.option(
    "--genus",
    help="Genus",
    type=str
)
@click.option(
    "--public",
    help="User's email",
    is_flag=True
)

@pass_context
@apollo_exception
@dict_output
def cli(ctx, organism_id, common_name, directory, blatdb="", species="", genus="", public=False):
    """Update an organism
    """
    return ctx.gi.organisms.updateOrganismInfo(organism_id, common_name, directory, blatdb=blatdb, species=species, genus=genus, public=public)
